$spacer : ($base-font-size * $base-line-height);
$spacer-x : $spacer;
$spacer-y : $spacer;

$spacer-list : (
    0: (
        x: 0,
        y: 0
    ),
    1: (
        x: $spacer-x,
        y: $spacer-y
    ),
    2: (
        x: ($spacer-x * 1.5),
        y: ($spacer-y * 1.5)
    ),
    3: (
        x: ($spacer-x * 2.5),
        y: ($spacer-y * 2.5)
    ),
    4: (
        x: ($spacer-x * 3.4),
        y: ($spacer-y * 3.4)
    ),
    object: (
        $spacer-y * 1 $spacer-x * 3
    )
) !default;

@function spacer-o($direction, $spacers: $spacer-list) {
    @return map_get($spacers, $direction);
}
@function spacer($direction, $size, $spacers: $spacer-list) {
    @return map-get(map-get($spacers, $size), $direction);
}
